Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.peermanager
Class Calculator

    java.lang.Object
      net.i2p.router.peermanager.Calculator

Direct Known Subclasses:
  CapacityCalculator, IntegrationCalculator, SpeedCalculator

    public class Calculator

extends Object

Provide a means of quantifying a profiles fitness in some particular aspect, as well as to coordinate via statics the four known aspects.

Constructor Summary
`Calculator()`

Method Summary
`double` | `calc(PeerProfile profile)` Evaluate the profile according to the current metric
`boolean` | `calcBoolean(PeerProfile profile)` Evaluate the profile according to the current metric

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Calculator

    public Calculator()

Method Detail

### calc

    public double calc(PeerProfile profile)

  Evaluate the profile according to the current metric

### calcBoolean

    public boolean calcBoolean(PeerProfile profile)

  Evaluate the profile according to the current metric

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD